Company Search
Search for company-related information using a company name, company ID, or website. The lookup can be narrowed by jurisdiction and the response language can be specified using a language code.
Endpoint: POST https://irbis.espysys.com/api/developer/public_company_info
Below is a sample request to perform a lookup using all available company identifiers:
{
"key": "YOUR_API_KEY",
"lookupId": "LOOKUPID_VALUE",
"companyName": "COMPANY_NAME_VALUE",
"companyId": "COMPANY_ID_VALUE",
"website": "WEBSITE_VALUE",
"jurisdiction": "JURISDICTION_VALUE",
"language": "LANGUAGE_CODE"
}Instructions:
Replace
YOUR_API_KEYin thekeyfield with your actual API Key.Replace
lookupIdwith the lookup ID shown in the API lookup types table on the Developer page or API lookup types page.Provide at least one of the following search fields:
companyNamecompanyIdwebsite
You may provide more than one search field if several identifiers are known.
If one of these fields is not used, do not send it in the request body. Do not send unused fields with empty strings or placeholder values.
Replace
JURISDICTION_VALUEwith the search jurisdiction if you want to narrow the search by location, for example a country.Replace
LANGUAGE_CODEwith the response language code.
Last updated